<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1GLESDepthBuffer.html">GLESDepthBuffer</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::GLESDepthBuffer Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1GLESDepthBuffer.html">Ogre::GLESDepthBuffer</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="group__RenderSystem.html#ga26c4ce1003ddab1ed7e3befecb0888a1">_notifyRenderTargetAttached</a>(RenderTarget *renderTarget)</td><td><a class="el" href="classOgre_1_1DepthBuffer.html">Ogre::DepthBuffer</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="group__RenderSystem.html#ga227b541ef2ae3de53334c10397a08f99">_notifyRenderTargetDetached</a>(RenderTarget *renderTarget)</td><td><a class="el" href="classOgre_1_1DepthBuffer.html">Ogre::DepthBuffer</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="group__RenderSystem.html#ga7af5c611687492846891914dcac303d2">_setPoolId</a>(uint16 poolId)</td><td><a class="el" href="classOgre_1_1DepthBuffer.html">Ogre::DepthBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a366445eb206e55a2199267b8b9089ebb">AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="group__RenderSystem.html#ga90ab98914c730458fccb9780f850b905">DepthBuffer</a>(uint16 poolId, uint16 bitDepth, uint32 width, uint32 height, uint32 fsaa, const String &amp;fsaaHint, bool manual)</td><td><a class="el" href="classOgre_1_1DepthBuffer.html">Ogre::DepthBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="group__RenderSystem.html#gac7f74e3076471b940b1a3be3a6c358d2">detachFromAllRenderTargets</a>()</td><td><a class="el" href="classOgre_1_1DepthBuffer.html">Ogre::DepthBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="group__RenderSystem.html#ga728fb1f26362f18ea1ba9ff5fc263b05">getBitDepth</a>() const </td><td><a class="el" href="classOgre_1_1DepthBuffer.html">Ogre::DepthBuffer</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLESDepthBuffer.html#a44eb1005a645ef2032525806ef9fae59">getDepthBuffer</a>() const </td><td><a class="el" href="classOgre_1_1GLESDepthBuffer.html">Ogre::GLESDepthBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="group__RenderSystem.html#ga7f521691f0eab6e1bdfa7b1d501f7687">getFsaa</a>() const </td><td><a class="el" href="classOgre_1_1DepthBuffer.html">Ogre::DepthBuffer</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="group__RenderSystem.html#gaab49222ad26390c447c56c30c29261bd">getFsaaHint</a>() const </td><td><a class="el" href="classOgre_1_1DepthBuffer.html">Ogre::DepthBuffer</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLESDepthBuffer.html#adb85f9ec5ecdeddb7910819ea612210d">getGLContext</a>() const </td><td><a class="el" href="classOgre_1_1GLESDepthBuffer.html">Ogre::GLESDepthBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="group__RenderSystem.html#gac84019090a7e7ba340cbf5b556c191c2">getHeight</a>() const </td><td><a class="el" href="classOgre_1_1DepthBuffer.html">Ogre::DepthBuffer</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="group__RenderSystem.html#gac8b0f5f8c7d5670211e34e029e35affd">getPoolId</a>() const </td><td><a class="el" href="classOgre_1_1DepthBuffer.html">Ogre::DepthBuffer</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLESDepthBuffer.html#a9d5085dd103f35ebd8513b236d415ca9">getStencilBuffer</a>() const </td><td><a class="el" href="classOgre_1_1GLESDepthBuffer.html">Ogre::GLESDepthBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="group__RenderSystem.html#ga77ae374dc411a407cf0a85dcba49e0f2">getWidth</a>() const </td><td><a class="el" href="classOgre_1_1DepthBuffer.html">Ogre::DepthBuffer</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLESDepthBuffer.html#a1f74fd603bde62bf97a899441286d4e6">GLESDepthBuffer</a>(uint16 poolId, GLESRenderSystem *renderSystem, GLESContext *creatorContext, GLESRenderBuffer *depth, GLESRenderBuffer *stencil, uint32 width, uint32 height, uint32 fsaa, uint32 multiSampleQuality, bool isManual)</td><td><a class="el" href="classOgre_1_1GLESDepthBuffer.html">Ogre::GLESDepthBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLESDepthBuffer.html#a86ad112171c3f7fb260c62bf12a6f17d">isCompatible</a>(RenderTarget *renderTarget) const </td><td><a class="el" href="classOgre_1_1GLESDepthBuffer.html">Ogre::GLESDepthBuffer</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="group__RenderSystem.html#ga71910f006c803f2e45b8c11a89f67a64">isManual</a>() const </td><td><a class="el" href="classOgre_1_1DepthBuffer.html">Ogre::DepthBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="group__RenderSystem.html#ga303a8362b22c324be2e57c780b870b3a">mAttachedRenderTargets</a></td><td><a class="el" href="classOgre_1_1DepthBuffer.html">Ogre::DepthBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="group__RenderSystem.html#gac0fb796a44c5f0abfa197d4185a85227">mBitDepth</a></td><td><a class="el" href="classOgre_1_1DepthBuffer.html">Ogre::DepthBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLESDepthBuffer.html#aae246be6f03365a688bed7edc7429f61">mCreatorContext</a></td><td><a class="el" href="classOgre_1_1GLESDepthBuffer.html">Ogre::GLESDepthBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLESDepthBuffer.html#ad46057e1ac0cf86b98e20ab2e559d1a7">mDepthBuffer</a></td><td><a class="el" href="classOgre_1_1GLESDepthBuffer.html">Ogre::GLESDepthBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="group__RenderSystem.html#ga18ea722feff9985a01e57a7f9f0f9052">mFsaa</a></td><td><a class="el" href="classOgre_1_1DepthBuffer.html">Ogre::DepthBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="group__RenderSystem.html#ga97b950482c8f1ab2f6ba47bb4f77b2e2">mFsaaHint</a></td><td><a class="el" href="classOgre_1_1DepthBuffer.html">Ogre::DepthBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="group__RenderSystem.html#ga1e7ca8b8f4774aa786987b9454be86d3">mHeight</a></td><td><a class="el" href="classOgre_1_1DepthBuffer.html">Ogre::DepthBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="group__RenderSystem.html#ga48a92115245b988be0be1a254c2bc9af">mManual</a></td><td><a class="el" href="classOgre_1_1DepthBuffer.html">Ogre::DepthBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLESDepthBuffer.html#af5969ec56748a1a0c64498d3911421fc">mMultiSampleQuality</a></td><td><a class="el" href="classOgre_1_1GLESDepthBuffer.html">Ogre::GLESDepthBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="group__RenderSystem.html#ga8898edcd32480833756db34086b73e95">mPoolId</a></td><td><a class="el" href="classOgre_1_1DepthBuffer.html">Ogre::DepthBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLESDepthBuffer.html#a7089e7a91f306ef426a69f319b76dafc">mRenderSystem</a></td><td><a class="el" href="classOgre_1_1GLESDepthBuffer.html">Ogre::GLESDepthBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLESDepthBuffer.html#afaac0ba8d4357b424c6932537b7b7d16">mStencilBuffer</a></td><td><a class="el" href="classOgre_1_1GLESDepthBuffer.html">Ogre::GLESDepthBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="group__RenderSystem.html#ga06e7b623df9b2b5827c51bc8756f7ef4">mWidth</a></td><td><a class="el" href="classOgre_1_1DepthBuffer.html">Ogre::DepthBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a>(void *ptr, void *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a>(size_t sz, void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="group__RenderSystem.html#gga9854c57374adef41216bae68544a5b7ea00a687046bfe7a9ebd7f34256d3fbcca">POOL_DEFAULT</a> enum value</td><td><a class="el" href="classOgre_1_1DepthBuffer.html">Ogre::DepthBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="group__RenderSystem.html#gga9854c57374adef41216bae68544a5b7ea2d5409ddce167e1db415f09ee2160440">POOL_MANUAL_USAGE</a> enum value</td><td><a class="el" href="classOgre_1_1DepthBuffer.html">Ogre::DepthBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="group__RenderSystem.html#gga9854c57374adef41216bae68544a5b7ea569228ed0fdd8d428a5117026b6d010e">POOL_NO_DEPTH</a> enum value</td><td><a class="el" href="classOgre_1_1DepthBuffer.html">Ogre::DepthBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="group__RenderSystem.html#ga9854c57374adef41216bae68544a5b7e">PoolId</a> enum name</td><td><a class="el" href="classOgre_1_1DepthBuffer.html">Ogre::DepthBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="group__RenderSystem.html#ga842c0f22b9bdbe661583f5459799b1db">RenderTargetSet</a> typedef</td><td><a class="el" href="classOgre_1_1DepthBuffer.html">Ogre::DepthBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a499773d35ca98b2df7c2699fc8c1bea2">~AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="group__RenderSystem.html#ga23ee0fd93e778767b81bebd382bb4306">~DepthBuffer</a>()</td><td><a class="el" href="classOgre_1_1DepthBuffer.html">Ogre::DepthBuffer</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLESDepthBuffer.html#a85cf240c2dd5e1ebda5fd8250f59b23e">~GLESDepthBuffer</a>()</td><td><a class="el" href="classOgre_1_1GLESDepthBuffer.html">Ogre::GLESDepthBuffer</a></td><td></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:24
</p>
</body>
</html>
